/* Generated by powerful Codeforces Tool
 * Author: xxxodarap
 * Time: 2023-08-27 22:45
**/

#include<bits/stdc++.h>
using namespace std;
namespace R = std::ranges;

#define F(i, a, e) for(ll i = (a); i < (e); i++)
#define R(i, e) F(i, 0, e)

typedef long long ll;
typedef double lf;
typedef complex<lf> cp;
typedef pair<int, int> pii;


template<class T> bool ckmin(T& a, const T& b) { return b < a ? a = b, 1 : 0; }
template<class T> bool ckmax(T& a, const T& b) { return a < b ? a = b, 1 : 0; }


const lf PI = acos(-1), EPSI = 1e-9;

mt19937 rng(chrono::steady_clock::now().time_since_epoch().count());


// =============== Solution section ===============

// geometry part
// alread exist: lf abs(cp), norm(cp), cp polar(lf, lf), lf arg(cp), constants 0 + 1i
lf   dist   (cp a, cp b)       { return abs(a - b); }
lf   dot    (cp a, cp b)       { return real(conj(a) * b); }                // (commutative)
lf   cross  (cp a, cp b)       { return imag(conj(a) * b); }                // (anti-commutative)
lf   angle  (cp a, cp b, cp c) { return abs(arg((a - b) / (c - b))); }      // angle around b in [0, pi]
bool acute  (cp a, cp b, cp c) { return dot(a - b, c - b) > 0; }            // angle around b < 90d
bool obtuse (cp a, cp b, cp c) { return dot(a - b, c - b) < 0; }            // angle around b > 90d
bool cw     (cp a, cp b, cp c) { return cross(b - a, c - a) < 0; }          // a, b, c clockwise
bool ccw    (cp a, cp b, cp c) { return cross(b - a, c - a) > 0; }          // a, b, c counter-clockwise
bool col    (cp a, cp b, cp c) { return abs(cross(b - a, c - a)) < EPSI; }  // whether a, b, c on a line
// point distance functions
lf dist_line(cp a, cp b, cp p){ // line going through a and b
  return abs(dot(p - a, (b - a) * 1i)) / abs(b - a);
}
lf dist_ray(cp a, cp b, cp p){ // ray starting at a, through b
  return obtuse(b, a, p) ? dist(a, p) : dist_line(a, b, p);
}
lf dist_segment(cp a, cp b, cp p){ // segment from a to b
  return obtuse(a, b, p) ? dist(b, p) : dist_ray(a, b, p);
}
// return whether there is a unique intersect and if so, set p to the intersection
// these functions only work for non-parallel lines (they return 0 for parallel)!
bool intersect_lines(cp a1, cp d1, cp a2, cp d2, cp &p){
  if(cross(d1, d2) == 0) return 0;
  p = a1 + d1 * cross(a2 - a1, d2) / cross(d1, d2);
  return 1;
}
bool intersect_rays(cp a1, cp d1, cp a2, cp d2, cp &p){
  if(!intersect_lines(a1, d1, a2, d2, p)) return 0;
  return dot(p - a1, d1) >= 0 and dot(p - a2, d2) >= 0;
}
bool intersect_segments(cp a1, cp d1, cp a2, cp d2, cp &p){
  if(!intersect_lines(a1, d1, a2, d2, p)) return 0;
  lf l1 = dot(p - a1, d1) / norm(d1), l2 = dot(p - a2, d2) / norm(d2);
  return 0 <= l1 and l1 <= 1 and 0 <= l2 and l2 <= 1;
}
// 1d segment intersect of [a1, a2] and [b1, b2]
bool interval_intersect(lf a1, lf a2, lf b1, lf b2){
  return max(min(a1, a2), min(b1, b2)) <= min(max(a1, a2), max(b1, b2));
}
// check intersect of [a1, a1 + d1] and [a2, a2 + d2] using only ring operations (works generally)
// remove (some of the) conditions in the last line for ray / line intersect check
bool intersect_segments_ring(cp d1, cp a1, cp d2, cp a2){
  lf c = cross(d1, d2);
  if(c == 0)
    if(cross(a2 - a1, d1) != 0) return 0;
    else return interval_intersect(dot(d1, a1), dot(d1, a1 + d1), dot(d1, a2), dot(d1, a2 + d2));
  cp p = d2 * cross(d1, a1 - a2) + a2 * c;
  lf l1 = dot(d1, p - a1 * c), l2 = dot(d2, p - a2 * c);
  return l1 >= 0 && l1 <= c && l2 >= 0 && l2 <= c;
}


typedef vector<cp> poly;
// convex hull part
auto pjc(cp &c){ return pair(imag(c), real(c)); };
poly convex_hull(vector<cp> a){
  if(size(a) <= 2) return a;
  R::sort(a, {}, pjc);
  cp p1 = a[0], p2 = a.back();
  vector<cp> le{p1}, ri{p1};
  for(size_t i = 1; i < size(a); ++i){
    if(i == size(a) - 1 || cw(p1, a[i], p2)){
      while(size(le) >= 2 &&
            !cw(end(le)[-2], end(le)[-1], a[i]))
        le.pop_back();
      le.push_back(a[i]);
    }
    if(i == size(a) - 1 || ccw(p1, a[i], p2)){
      while(size(ri) >= 2 &&
            !ccw(end(ri)[-2], end(ri)[-1], a[i]))
        ri.pop_back();
      ri.push_back(a[i]);
    }
  }
  poly res(begin(ri), end(ri) - 1);
  res.insert(end(res), rbegin(le), rend(le) - 1);
  return res;
}


const int MAXN = 2e5 + 5;
ll N, E, M;

void solve(){
    // Code goes here ...
    cin >> N >> E >> M;

    vector<cp> a(N + 10);
    lf e, m, maxe = 0, maxm = 0;
    R(i, N){
        cin >> e >> m;
        ckmax(maxe, e);
        ckmax(maxm, m);
        a.emplace_back(e,m);
    }
    a.emplace_back(maxe, 0);
    a.emplace_back(0, maxm);
    a.emplace_back(0, 0);

    a = convex_hull(a);
    a.push_back(a.front());

    cp cut, zero(0,0), aim(E, M);
    R(i, ssize(a) - 1){
        cp d = a[i + 1] - a[i];
        if(intersect_lines(zero, aim /* - zero */, a[i], d, cut)){
            lf l = dot(cut - a[i], d) / norm(d);
            if(0 <= l and l <= 1)
                if(dist(zero, cut) > EPSI){
                    cerr << cut << endl;
                    cout << abs(aim / cut) << endl;
                    return;
                }
        }
    }
}


// =============== Main section ===============
int main(){
    ios_base::sync_with_stdio(0); cin.tie(0);
    cout << setprecision(12); // << fixed;

    int T = 1;
    /* cin >> T; */
    while(T--)
        solve();

    return 0;
}
        
